Search and DownloadsProduct Data

Product Data

Search over 75 million product records using the Datafiniti API.

curl -X POST "https://api.datafiniti.co/v4/products/search" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "query": "keys:*",
  "num_records": 1
}'
{
  "num_found": 42,
  "total_cost": 3.14,
  "records": [
    {}
  ],
  "download_id": "example_string"
}
POST
/products/search
POST
Bearer Token
Bearer Tokenstring
Required

Bearer token obtained from the /auth endpoint. Include in requests as: Authorization: Bearer <token>

Bearer token obtained from the /auth endpoint. Include in requests as: Authorization: Bearer <token>
Content-Typestring
Required

The media type of the request body

Options: application/json
querystring
Required

The search query using Datafiniti query syntax (e.g., keys:*, country:US AND province:FL)

num_recordsinteger

The number of records your request will return, and the number of credits that will be deducted from your account. For non-downloads, the maximum is 10 records.

formatstring

Must be either json or csv. Defaults to json.

Options: json, csv
downloadboolean

Whether or not to start a download for this search.

viewstring

Specify a view you have created, or use a pre-made view. The view filters what data is displayed in your search results. This allows you to dynamically specify a view to filter the data you get back from your search.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Bearer token obtained from the /auth endpoint. Include in requests as: Authorization: Bearer <token>

Body

application/json
querystring
Required

The search query using Datafiniti query syntax (e.g., keys:*, country:US AND province:FL)

num_recordsinteger

The number of records your request will return, and the number of credits that will be deducted from your account. For non-downloads, the maximum is 10 records.

formatstring

Must be either json or csv. Defaults to json.

Allowed values:jsoncsv
downloadboolean

Whether or not to start a download for this search.

viewstring

Specify a view you have created, or use a pre-made view. The view filters what data is displayed in your search results. This allows you to dynamically specify a view to filter the data you get back from your search.

Responses

num_foundinteger

Total number of matching records found

total_costnumber

Total credit cost for this request

recordsobject[]

Array of matching records

download_idstring

Download ID if download was requested (only present when download: true)